Bug 960532 - Review Request: metainf-services - java library for generating META-INF/services files
Summary: Review Request: metainf-services - java library for generating META-INF/servi...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-07 10:47 UTC by Michal Srb
Modified: 2013-05-09 12:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-09 12:03:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Srb 2013-05-07 10:47:54 UTC
Spec URL: http://msrb.fedorapeople.org/review/metainf-services.spec
SRPM URL: http://msrb.fedorapeople.org/review/metainf-services-1.5-1.fc20.src.rpm
Description: This package contains small Java library which can be used
for automatic generation of META-INF/services files.
Fedora Account System Username: msrb

Comment 1 gil cattaneo 2013-05-07 11:09:22 UTC
would like to take this review

Comment 2 gil cattaneo 2013-05-07 11:41:36 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
  IGNORE
- Pom files have correct add_maven_depmap call
  Note: No add_maven_depmap calls found but pom files present
  See: https://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro
  IGNORE
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". 1 files have unknown license. Detailed output of
     licensecheck in /home/gil/960532-metainf-services/licensecheck.txt
     metainf-services-metainf-services-1.5/src/main/java/org/kohsuke/metainf_services/AnnotationProcessorImpl.java
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: metainf-services-1.5-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint metainf-services
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
metainf-services (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
metainf-services:
    metainf-services
    mvn(org.kohsuke.metainf-services:metainf-services)



MD5-sum check
-------------
https://github.com/kohsuke/metainf-services/archive/metainf-services-1.5.tar.gz :
  CHECKSUM(SHA256) this package     : b507d193377dc04a3ca8136fcd6afb37b2d4f058e89108ac571470ffb089224b
  CHECKSUM(SHA256) upstream package : b507d193377dc04a3ca8136fcd6afb37b2d4f058e89108ac571470ffb089224b
https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt :
  CHECKSUM(SHA256) this package     : 900759c2f29f1270c67769b091992609351816ff5faf7e0e0d87bd8786319835
  CHECKSUM(SHA256) upstream package : 900759c2f29f1270c67769b091992609351816ff5faf7e0e0d87bd8786319835


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 960532 -m fedora-rawhide-i386

have only one doubt about license

Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". 1 files have unknown license. Detailed output of
     licensecheck in /home/gil/960532-metainf-services/licensecheck.txt
     metainf-services-metainf-services-1.5/src/main/java/org/kohsuke/metainf_services/AnnotationProcessorImpl.java

... otherwise the packet is approved

Comment 3 Michal Srb 2013-05-07 12:01:29 UTC
Thanks for the review.

regarding license, I have no idea why licensecheck identifies MIT license as "MIT/X11 (BSD like)", but according to https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses short name for "MIT license (also X11)" is MIT, so I would say this shouldn't be a problem. Thanks again.


New Package SCM Request
=======================
Package Name: metainf-services
Short Description: Java library for generating META-INF/services files
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2013-05-07 13:16:03 UTC
Git done (by process-git-requests).

Comment 5 Michal Srb 2013-05-09 12:03:06 UTC
Built in Rawhide and F19.


Note You need to log in before you can comment on or make changes to this bug.